Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Class MethodTypeCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
org.apache.tools.ant.taskdefs.optional.depend.constantpool.MethodTypeCPInfo

public class MethodTypeCPInfo extends ConstantCPInfo
A Method Type CP Info

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

## Constructor Summary

Constructors
Constructor
Description
`MethodTypeCPInfo()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`read(DataInputStream cpStream)`
read a constant pool entry from a class stream.
`void`
`resolve(ConstantPool constantPool)`
Resolve this constant pool entry with respect to its dependents in the constant pool.
`String`
`toString()`
Print a readable version of the constant pool entry.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

`getValue, setValue`

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MethodTypeCPInfo

public MethodTypeCPInfo()
Constructor.

## Method Details

### read

public void read(DataInputStream cpStream) throws IOException
read a constant pool entry from a class stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the DataInputStream which contains the constant pool entry to be read.
Throws:
  `IOException` - if there is a problem reading the entry from the stream.

### resolve

public void resolve(ConstantPool constantPool)
Resolve this constant pool entry with respect to its dependents in the constant pool.

Overrides:
  `resolve` in class `ConstantPoolEntry`
Parameters:
  `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.

### toString

public String toString()
Print a readable version of the constant pool entry.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation of this constant pool entry.